Procurando a documentação anterior?Acesse v1.docs.pluggy.ai
PluggyDocs
GET/investments

Lista

Recupera todos os investimentos coletados para o item fornecido

Parameters

Query Parameters

NameType
itemIdrequired
string (uuid)
type
string
pageSize
number (double)
page
number (double)

Responses

200Recupere uma lista de todos os investimentos
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of investments

itemsobject

Investimento representando um ativo específico

Example response

json
{
  "page": 1,
  "total": 3,
  "totalPages": 1,
  "results": [
    {
      "id": "f77eccf4-7714-498e-92a9-1bebe70335d9",
      "code": "22.222.222/0001-22",
      "name": "Bahia AM Advisory FIC de FIM",
      "balance": 1359.39,
      "currencyCode": "BRL",
      "type": "MUTUAL_FUND",
      "subtype": "MULTIMARKET_FUND",
      "lastMonthRate": 0.24,
      "annualRate": 3.24,
      "lastTwelveMonthsRate": 3,
      "itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
      "value": 500,
      "quantity": 3,
      "amount": 1500,
      "taxes": 40.61,
      "taxes2": 100,
      "date": "2020-07-19T18:27:41.802Z",
      "owner": "John Doe",
      "number": null,
      "amountProfit": 310.5,
      "amountWithdrawal": 1310.5,
      "amountOriginal": 1000,
      "status": "ACTIVE",
      "transactions": [
        {
          "id": "b5e0f0b1-8a2c-4f4a-9d21-8f0f1e1a2b3c",
          "tradeDate": "2020-10-01T00:00:00.000Z",
          "date": "2020-10-01T00:00:00.000Z",
          "description": "Aplicação Fondo de Investimento Premium",
          "quantity": 1.25,
          "value": 2,
          "amount": 5,
          "type": "BUY",
          "movementType": "CREDIT"
        }
      ]
    },
    {
      "id": "2a96b873-53bb-4d16-a3d8-385a57e78d7e",
      "number": null,
      "name": "CDB1194KL0Z - BANCO MAXIMA S/A",
      "balance": 2000,
      "currencyCode": "BRL",
      "type": "FIXED_INCOME",
      "subtype": "CDB",
      "itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
      "code": "0001-02",
      "amount": 2500,
      "taxes": null,
      "taxes2": null,
      "date": "2020-07-19T18:27:41.802Z",
      "owner": "John Doe",
      "rate": 30,
      "rateType": "CDI",
      "fixedAnnualRate": 10.5,
      "amountProfit": null,
      "amountWithdrawal": 2000,
      "amountOriginal": 1000,
      "issuer": "Pluggy",
      "issuerCNPJ": "22.222.222/0001-22",
      "issueDate": "2020-07-19T18:27:41.802Z",
      "purchaseDate": "2020-07-15T10:00:00.000Z",
      "status": "ACTIVE"
    },
    {
      "id": "ded7d2f1-6b90-44a8-9ace-de747b9f5bfe",
      "number": "123456-2",
      "name": "Pluggy PREVIDENCIA",
      "balance": 1359.39,
      "currencyCode": "BRL",
      "type": "SECURITY",
      "subtype": "RETIREMENT",
      "annualRate": 3.24,
      "itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
      "code": null,
      "value": 500,
      "quantity": 3,
      "amount": 1500,
      "taxes": 0,
      "taxes2": 0,
      "date": "2020-07-19T18:27:41.802Z",
      "owner": "John Doe",
      "amountProfit": 359.39,
      "amountWithdrawal": 1310.5,
      "status": "ACTIVE",
      "institution": {
        "name": "BANCO BTG PACTUAL S/A",
        "number": "30306294000145"
      }
    }
  ]
}
curl -X GET \
'https://api.pluggy.ai/investments' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"page": 1,
"total": 3,
"totalPages": 1,
"results": [
{
"id": "f77eccf4-7714-498e-92a9-1bebe70335d9",
"code": "22.222.222/0001-22",
"name": "Bahia AM Advisory FIC de FIM",
"balance": 1359.39,
"currencyCode": "BRL",
"type": "MUTUAL_FUND",
"subtype": "MULTIMARKET_FUND",
"lastMonthRate": 0.24,
"annualRate": 3.24,
"lastTwelveMonthsRate": 3,
"itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
"value": 500,
"quantity": 3,
"amount": 1500,
"taxes": 40.61,
"taxes2": 100,
"date": "2020-07-19T18:27:41.802Z",
"owner": "John Doe",
"number": null,
"amountProfit": 310.5,
"amountWithdrawal": 1310.5,
"amountOriginal": 1000,
"status": "ACTIVE",
"transactions": [
{
"id": "b5e0f0b1-8a2c-4f4a-9d21-8f0f1e1a2b3c",
"tradeDate": "2020-10-01T00:00:00.000Z",
"date": "2020-10-01T00:00:00.000Z",
"description": "Aplicação Fondo de Investimento Premium",
"quantity": 1.25,
"value": 2,
"amount": 5,
"type": "BUY",
"movementType": "CREDIT"
}
]
},
{
"id": "2a96b873-53bb-4d16-a3d8-385a57e78d7e",
"number": null,
"name": "CDB1194KL0Z - BANCO MAXIMA S/A",
"balance": 2000,
"currencyCode": "BRL",
"type": "FIXED_INCOME",
"subtype": "CDB",
"itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
"code": "0001-02",
"amount": 2500,
"taxes": null,
"taxes2": null,
"date": "2020-07-19T18:27:41.802Z",
"owner": "John Doe",
"rate": 30,
"rateType": "CDI",
"fixedAnnualRate": 10.5,
"amountProfit": null,
"amountWithdrawal": 2000,
"amountOriginal": 1000,
"issuer": "Pluggy",
"issuerCNPJ": "22.222.222/0001-22",
"issueDate": "2020-07-19T18:27:41.802Z",
"purchaseDate": "2020-07-15T10:00:00.000Z",
"status": "ACTIVE"
},
{
"id": "ded7d2f1-6b90-44a8-9ace-de747b9f5bfe",
"number": "123456-2",
"name": "Pluggy PREVIDENCIA",
"balance": 1359.39,
"currencyCode": "BRL",
"type": "SECURITY",
"subtype": "RETIREMENT",
"annualRate": 3.24,
"itemId": "207f5bcd-312a-439c-abbe-166b6632c980",
"code": null,
"value": 500,
"quantity": 3,
"amount": 1500,
"taxes": 0,
"taxes2": 0,
"date": "2020-07-19T18:27:41.802Z",
"owner": "John Doe",
"amountProfit": 359.39,
"amountWithdrawal": 1310.5,
"status": "ACTIVE",
"institution": {
"name": "BANCO BTG PACTUAL S/A",
"number": "30306294000145"
}
}
]
}